package com.brilliance.isc.common.whj.service;

import com.brilliance.isc.common.whj.vo.InvoicesNoticesQueryVo;
import com.brilliance.isc.common.whj.vo.NoticeInvoicesQueryVo;
import com.brilliance.isc.esb.model.inner.InnerRes;
import com.brilliance.isc.esb.model.inner.InnerResWhj;
import com.brilliance.isc.esb.model.whj.content.sinosure.*;

public interface WhjZxbInterService {

    InnerRes<InnerResWhj> qureyInvoicesNotices(InvoicesNoticesQueryVo invoicesNoticesQueryVo);

    InnerRes<InnerResWhj> qureyNoticeInvoices(NoticeInvoicesQueryVo noticeInvoicesQueryVo);

    /*
    银行代企业录入信保融资申请接口
     */
    InnerRes<InnerResWhj> sinoBankApply(SinoBankApplyContent sinoBankApplyContent);

    /*
    银行代企业录入信保融资申请补登记接口
     */
    InnerRes<InnerResWhj> bankApplySupplement(BankApplySupplementContent bankApplySupplementContent);

    /*
    关单核验
     */
    InnerRes<InnerResWhj> sinoCheck(SinoCheckContent sinoCheckContent);

    /*
    开具承保通知书
     */
    InnerRes<InnerResWhj> applyNotice(ApplyNoticeContent applyNoticeContent);

    /*
    信保融资放款详细登记接口
     */
    InnerRes<InnerResWhj> sinoPay(SinoPayContent sinoPayContent);

    /*
    信保融资还款详细登记接口
     */
    InnerRes<InnerResWhj> sinoRecOnce(SinoRecOnceContent sinoRecOnceContent);

    /*
    信保融资银行端放款冲正
     */
    InnerRes<InnerResWhj> sinoCorrect(SinoCorrectContent sinoCorrectContent);

    /*
    融资申请详情查询
     */
    InnerRes<InnerResWhj> sinoDetail(SinoCheckContent SinoCheckContent);

    /*
    资产上链失败重试
     */
    InnerRes<InnerResWhj> sinoRetry(SinoCheckContent SinoCheckContent);

    /*
    信保业务转普通出口业务
     */
    InnerRes<InnerResWhj> changeToExport(SinoCheckContent SinoCheckContent);

    /*
    信保融资申请信息修改接口
     */
    InnerRes<InnerResWhj> bankApplyUpdate(BankApplyUpdateContent bankApplyUpdateContent);

    /*
    信保融资申请废弃
     */
    InnerRes<InnerResWhj> sinoAbandon(SinoAbandonContent sinoAbandonContent);

    /*
    受理拒绝
     */
    InnerRes<InnerResWhj> rejectAccept(SinoAcceptContent sinoAcceptContent);

}
